<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoAppAppsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_app_apps
         */
        Schema::create('bixo_app_apps', function ($table) {
            $table->increments('id');
            $table->integer('company_id')->nullable();
            $table->string('name', 100)->nullable();
            $table->string('description', 150)->nullable();
            $table->string('logo', 150)->nullable();
            $table->text('api_tokens')->nullable();
            $table->text('whitelist_ips')->nullable();
            $table->text('whitelist_urls')->nullable();
            $table->string('roles', 255)->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->bigInteger('user_id')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_app_apps');
    }
}
