<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoAppKeysTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_app_keys
         */
        Schema::create('bixo_app_keys', function ($table) {
            $table->increments('id');
            $table->bigInteger('app_id')->nullable();
            $table->string('key', 50)->nullable();
            $table->enum('type', ['Yes', 'No'])->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_app_keys');
    }
}
