<?php

namespace Bixo\App\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class KeyTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_app_keys')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.app.key.view',
                'name'      => 'View Key',
            ],
            [
                'slug'      => 'bixo.app.key.create',
                'name'      => 'Create Key',
            ],
            [
                'slug'      => 'bixo.app.key.edit',
                'name'      => 'Update Key',
            ],
            [
                'slug'      => 'bixo.app.key.delete',
                'name'      => 'Delete Key',
            ],
            
                        [
                'slug'      => 'bixo.app.key.verify',
                'name'      => 'Verify Key',
            ],
            [
                'slug'      => 'bixo.app.key.approve',
                'name'      => 'Approve Key',
            ],
            [
                'slug'      => 'bixo.app.key.publish',
                'name'      => 'Publish Key',
            ],
            [
                'slug'      => 'bixo.app.key.unpublish',
                'name'      => 'Unpublish Key',
            ],
            [
                'slug'      => 'bixo.app.key.cancel',
                'name'      => 'Cancel Key',
            ],
            [
                'slug'      => 'bixo.app.key.archive',
                'name'      => 'Archive Key',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/app/key',
                'name'        => 'Key',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/app/key',
                'name'        => 'Key',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'key',
                'name'        => 'Key',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'App',
                'module'    => 'Key',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.app.key.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
