<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for app in app package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  app module in app package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'App',
    'names' => 'Apps',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Apps',
        'sub' => 'Apps'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'status' => 
            [
                                
                [
                    'key'    => 'Development',
                    'value'  => 'Development',
                    'text'   => 'Development',
                ],
                                
                [
                    'key'    => 'Published',
                    'value'  => 'Published',
                    'text'   => 'Published',
                ],
                                
                [
                    'key'    => 'Deactivated',
                    'value'  => 'Deactivated',
                    'text'   => 'Deactivated',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'company_id'                 => 'Please enter company id',
        'name'                       => 'Please enter name',
        'description'                => 'Please enter description',
        'logo'                       => 'Please enter logo',
        'api_tokens'                 => 'Please enter api tokens',
        'whitelist_ips'              => 'Please enter whitelist ips',
        'whitelist_urls'             => 'Please enter whitelist urls',
        'roles'                      => 'Please enter roles',
        'status'                     => 'Please select status',
        'user_id'                    => 'Please enter user id',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'company_id'                 => 'Company id',
        'name'                       => 'Name',
        'description'                => 'Description',
        'logo'                       => 'Logo',
        'api_tokens'                 => 'Api tokens',
        'whitelist_ips'              => 'Whitelist ips',
        'whitelist_urls'             => 'Whitelist urls',
        'roles'                      => 'Roles',
        'status'                     => 'Status',
        'user_id'                    => 'User id',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    ];
