<?php

namespace Bixo\App\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Bixo\App\Models\Key;


class KeyAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'bixo.app.key';
    protected $eventClass = \Bixo\App\Events\KeyAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Key $key, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $key;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Key $key, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $key = $key->create($attributes);
        return $key;
    }

    public function update(Key $key, array $request)
    {
        $attributes = $request;
        $key->update($attributes);
        return $key;
    }

    public function destroy(Key $key, array $request)
    {
        $key->delete();
        return $key;
    }

    public function copy(Key $key, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $key = $key->replicate();
            $key->created_at = Carbon::now();
            $key->save();
            return $key;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $key->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $key;
    }


}
