<?php

namespace Bixo\App\Providers;

use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use Bixo\App\Events\AppAction;
use Bixo\App\Events\AppWorkflow;
use Bixo\App\Listeners\AppAction as AppActionListener;
use Bixo\App\Listeners\AppWorkflow as AppWorkflowListener;


class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
    
        AppAction::class => [
            AppActionListener::class,
        ],
        AppWorkflow::class => [
            AppWorkflowListener::class,
        ],
    ];

    /**
     * Register any other events for your application.
     *
     * @param \Illuminate\Contracts\Events\Dispatcher $events
     *
     * @return void
     */
    public function boot()
    {
        parent::boot();

        //
    }
}
